/*
 * JBoss, the OpenSource WebOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package javax.xml.registry.infomodel;

import javax.xml.registry.JAXRException;

/**
 * @author Scott.Stark@jboss.org
 * @version $Revision: 1.1 $
 */
public interface ExternalLink
   extends RegistryObject, URIValidator
{
	public String getExternalURI() throws JAXRException;
	public java.util.Collection getLinkedObjects() throws JAXRException;
	public void setExternalURI(String uri) throws JAXRException;
}
